osgDB::basic_type_wrapper Struct Referenceabstract

`#include <Input>`

Inheritance diagram for osgDB::basic_type_wrapper:

## Public Member Functions

virtual | ~basic_type_wrapper ()
virtual bool | matches (const osg::Object *proto) const =0

## Detailed Description

basic structure for custom runtime inheritance checking

## Constructor & Destructor Documentation

## ~basic_type_wrapper()

virtual osgDB::basic_type_wrapper::~basic_type_wrapper | ( |  | ) |

inline virtual

## Member Function Documentation

## matches()

virtual bool osgDB::basic_type_wrapper::matches | ( | const osg::Object * | proto | ) | const

pure virtual

Implemented in osgDB::type_wrapper< T >.

The documentation for this struct was generated from the following file:

- osgDB/Input